---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libVThreadNotifyFramePopTest.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: _test_method_count, symObjAddr: 0x253E8, symBinAddr: 0x80C8, symSize: 0x0 }
  - { offsetInCU: 0x9B, offset: 0x9B, size: 0x8, addend: 0x0, symName: _test_class, symObjAddr: 0x253F0, symBinAddr: 0x80D0, symSize: 0x0 }
  - { offsetInCU: 0xDA, offset: 0xDA, size: 0x8, addend: 0x0, symName: _url_method_count, symObjAddr: 0x253F8, symBinAddr: 0x80D8, symSize: 0x0 }
  - { offsetInCU: 0xEF, offset: 0xEF, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x253A0, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x8D07, offset: 0x8D07, size: 0x8, addend: 0x0, symName: __ZL18brkptBreakpointHit, symObjAddr: 0x253CC, symBinAddr: 0x80AC, symSize: 0x0 }
  - { offsetInCU: 0x8D14, offset: 0x8D14, size: 0x8, addend: 0x0, symName: __ZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x2080, symBinAddr: 0x2BA0, symSize: 0x180 }
  - { offsetInCU: 0x8D4B, offset: 0x8D4B, size: 0x8, addend: 0x0, symName: __ZZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobjectE11UNNAMED_LEN, symObjAddr: 0x253D0, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0x8F38, offset: 0x8F38, size: 0x8, addend: 0x0, symName: __ZL24received_frame_pop_event, symObjAddr: 0x253E0, symBinAddr: 0x80C0, symSize: 0x0 }
  - { offsetInCU: 0x8F58, offset: 0x8F58, size: 0x8, addend: 0x0, symName: __ZL9event_mon, symObjAddr: 0x253A8, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x8F71, offset: 0x8F71, size: 0x8, addend: 0x0, symName: __ZL11url_methods, symObjAddr: 0x253B0, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x8F8A, offset: 0x8F8A, size: 0x8, addend: 0x0, symName: __ZL12test_methods, symObjAddr: 0x253B8, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x8FA3, offset: 0x8FA3, size: 0x8, addend: 0x0, symName: __ZL16breakpoint_count, symObjAddr: 0x253C0, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0x8FBC, offset: 0x8FBC, size: 0x8, addend: 0x0, symName: __ZL15frame_pop_count, symObjAddr: 0x253C4, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0x8FD5, offset: 0x8FD5, size: 0x8, addend: 0x0, symName: __ZL6passed, symObjAddr: 0x253C8, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0x906E, offset: 0x906E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x1980, symSize: 0x30 }
  - { offsetInCU: 0x93DE, offset: 0x93DE, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xE90, symBinAddr: 0x19B0, symSize: 0x190 }
  - { offsetInCU: 0x992E, offset: 0x992E, size: 0x8, addend: 0x0, symName: __ZL10BreakpointP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0x1020, symBinAddr: 0x1B40, symSize: 0x380 }
  - { offsetInCU: 0x9FBA, offset: 0x9FBA, size: 0x8, addend: 0x0, symName: __ZL22print_frame_event_infoP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPKci, symObjAddr: 0x1A30, symBinAddr: 0x2550, symSize: 0x5E0 }
  - { offsetInCU: 0xAB9B, offset: 0xAB9B, size: 0x8, addend: 0x0, symName: __ZL14set_breakpointP7JNIEnv_PKcP7_jclassPP10_jmethodIDi, symObjAddr: 0x1760, symBinAddr: 0x2280, symSize: 0x1E0 }
  - { offsetInCU: 0xAF14, offset: 0xAF14, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x2010, symBinAddr: 0x2B30, symSize: 0x70 }
  - { offsetInCU: 0xAFED, offset: 0xAFED, size: 0x8, addend: 0x0, symName: __ZL8FramePopP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDh, symObjAddr: 0x13A0, symBinAddr: 0x1EC0, symSize: 0x210 }
  - { offsetInCU: 0xB4A7, offset: 0xB4A7, size: 0x8, addend: 0x0, symName: _Java_VThreadNotifyFramePopTest_enableEvents, symObjAddr: 0x15B0, symBinAddr: 0x20D0, symSize: 0x1B0 }
  - { offsetInCU: 0xB89A, offset: 0xB89A, size: 0x8, addend: 0x0, symName: _Java_VThreadNotifyFramePopTest_check, symObjAddr: 0x1940, symBinAddr: 0x2460, symSize: 0xF0 }
  - { offsetInCU: 0xBA6E, offset: 0xBA6E, size: 0x8, addend: 0x0, symName: __ZL21get_method_class_nameP9_jvmtiEnvP7JNIEnv_P10_jmethodID, symObjAddr: 0x2200, symBinAddr: 0x2D20, symSize: 0x1D0 }
...
